Subject: bug#36977: closed (Re: bug#36977: Add OpenSubdiv library, and add as Blender dependency)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 13 Aug 2019 18:45:04 +0000

Your bug report

#36977: Add OpenSubdiv library, and add as Blender dependency

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
36977: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=36977
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#36977: Add OpenSubdiv library, and add as Blender dependency
From: Leo Famulari <[email-masked]>
To: Carlo Zancanaro <[email-masked]>
Cc: [email-masked]
Date: Tue, 13 Aug 2019 14:44:31 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

On Mon, Aug 12, 2019 at 08:21:44PM +1000, Carlo Zancanaro wrote:
> On Sun, Aug 11 2019, Carlo Zancanaro wrote:
> > ... adding it to the Blender inputs didn't cause the subdivision
> > modifier to work. ...
> 
> Well, it turns out I just had to add the -DWITH_OPENSUBDIV=ON configure
> flag. Here's a new patch to do that!

Thanks! Pushed as 588a0a335d09311197352c7f49d5541ef2717cc8

Subject: Add OpenSubdiv library, and add as Blender dependency
From: Christopher Lemmer Webber <[email-masked]>
To: bug-guix <[email-masked]>
Date: Thu, 08 Aug 2019 11:28:21 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

I was surprised to open Blender 2.80 and find that subdivision surfaces
(necessary for organic modeling) were doing nothing.  I couldn't figure
out why this was, until I found out that Blender now uses OpenSubdiv
for subdivision surfaces.

Don't think I have time to package it right now, but if someone was
willing to package this and add it as a Blender dependency, I'd be
extremely grateful to them.

 - Chris